libzypp: zypp::target::rpm::HeaderEntryGetter Struct Reference

libzypp 17.38.10

zypp::target::rpm::HeaderEntryGetter Struct Reference
RAII solutions

Helper for header data retieval. More...

Inheritance diagram for zypp::target::rpm::HeaderEntryGetter:

## Public Member Functions
| HeaderEntryGetter (const Header &h_r, rpmTag &tag_r)
| HeaderEntryGetter (const HeaderEntryGetter &)=delete
| HeaderEntryGetter (HeaderEntryGetter &&)=delete
HeaderEntryGetter & | operator= (const HeaderEntryGetter &)=delete
HeaderEntryGetter & | operator= (HeaderEntryGetter &&)=delete
| ~HeaderEntryGetter ()
rpmTagType | type ()
rpm_count_t | cnt ()
void * | val ()

## Private Attributes
::rpmtd | _rpmtd

## Detailed Description

Helper for header data retieval.

With `_RPM_4` use `::headerGet`; with `_RPM_5` use the meanwhile deprecated `::headerGetEntry`.

Definition at line 48 of file BinHeader.cc.

## Constructor & Destructor Documentation

## ◆ HeaderEntryGetter() [1/3]

zypp::target::rpm::HeaderEntryGetter::HeaderEntryGetter | ( | const Header & | h_r,
|  | rpmTag & | tag_r )
| inline

Definition at line 73 of file BinHeader.cc.

## ◆ HeaderEntryGetter() [2/3]

zypp::target::rpm::HeaderEntryGetter::HeaderEntryGetter | ( | const HeaderEntryGetter & |  | ) |
| delete

## ◆ HeaderEntryGetter() [3/3]

zypp::target::rpm::HeaderEntryGetter::HeaderEntryGetter | ( | HeaderEntryGetter && |  | ) |
| delete

## ◆ ~HeaderEntryGetter()

zypp::target::rpm::HeaderEntryGetter::~HeaderEntryGetter | ( |  | ) |
| inline

Definition at line 76 of file BinHeader.cc.

## Member Function Documentation

## ◆ operator=() [1/2]

HeaderEntryGetter & zypp::target::rpm::HeaderEntryGetter::operator= | ( | const HeaderEntryGetter & |  | ) |
| delete

## ◆ operator=() [2/2]

HeaderEntryGetter & zypp::target::rpm::HeaderEntryGetter::operator= | ( | HeaderEntryGetter && |  | ) |
| delete

## ◆ type()

rpmTagType zypp::target::rpm::HeaderEntryGetter::type | ( |  | ) |
| inline

Definition at line 78 of file BinHeader.cc.

## ◆ cnt()

rpm_count_t zypp::target::rpm::HeaderEntryGetter::cnt | ( |  | ) |
| inline

Definition at line 79 of file BinHeader.cc.

## ◆ val()

void * zypp::target::rpm::HeaderEntryGetter::val | ( |  | ) |
| inline

Definition at line 80 of file BinHeader.cc.

## Member Data Documentation

## ◆ _rpmtd

::rpmtd zypp::target::rpm::HeaderEntryGetter::_rpmtd
| private

Definition at line 64 of file BinHeader.cc.

The documentation for this struct was generated from the following file:

- zypp/target/rpm/BinHeader.cc